
// DlgProxy.h: header file
//

#pragma once

class CDLP_ControlDlg;


// CDLP_ControlDlgAutoProxy command target

class CDLP_ControlDlgAutoProxy : public CCmdTarget
{
	DECLARE_DYNCREATE(CDLP_ControlDlgAutoProxy)

	CDLP_ControlDlgAutoProxy();           // protected constructor used by dynamic creation

// Attributes
public:
	CDLP_ControlDlg* m_pDialog;

// Operations
public:

// Overrides
	public:
	virtual void OnFinalRelease();

// Implementation
protected:
	virtual ~CDLP_ControlDlgAutoProxy();

	// Generated message map functions

	DECLARE_MESSAGE_MAP()
	DECLARE_OLECREATE(CDLP_ControlDlgAutoProxy)

	// Generated OLE dispatch map functions

	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()
};

